%define fw_version 5.38

Summary:	KDE Frameworks 5 HTML rendering engine
Name:		khtml
Version:	5.38.0
Release:	2
License:	GPLv2+
Group:		Graphical desktop/KDE
Url:		https://www.kde.org/
Source0:	ftp://ftp.kde.org/pub/kde/stable/frameworks/%{fw_version}/%{name}-%{version}.tar.xz
BuildRequires:	extra-cmake-modules
BuildRequires:	gperf
BuildRequires:	qt5-linguist-tools
BuildRequires:	giflib-devel
BuildRequires:	jpeg-devel
BuildRequires:	karchive-devel >= %{version}
BuildRequires:	kcodecs-devel >= %{version}
BuildRequires:	kglobalaccel-devel >= %{version}
BuildRequires:	ki18n-devel >= %{version}
BuildRequires:	kiconthemes-devel >= %{version}
BuildRequires:	kio-devel >= %{version}
BuildRequires:	kjs-devel >= %{version}
BuildRequires:	knotifications-devel >= %{version}
BuildRequires:	kparts-devel >= %{version}
BuildRequires:	ktextwidgets-devel >= %{version}
BuildRequires:	kwallet-kf5-devel >= %{version}
BuildRequires:	kwidgetsaddons-devel >= %{version}
BuildRequires:	kwindowsystem-devel >= %{version}
BuildRequires:	kxmlgui-devel >= %{version}
BuildRequires:	sonnet-devel >= %{version}
BuildRequires:	pkgconfig(libpng)
BuildRequires:	pkgconfig(openssl)
BuildRequires:	pkgconfig(phonon4qt5)
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5DBus)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Network)
BuildRequires:	pkgconfig(Qt5PrintSupport)
BuildRequires:	pkgconfig(Qt5Test)
BuildRequires:	pkgconfig(Qt5Widgets)
BuildRequires:	pkgconfig(Qt5X11Extras)
BuildRequires:	pkgconfig(Qt5Xml)
BuildRequires:	pkgconfig(x11)
BuildRequires:	pkgconfig(zlib)

%description
KDE Frameworks 5 HTML rendering engine.

KHTML is a web rendering engine, based on the KParts technology and using KJS
for JavaScript support.

%files
%dir %{_kde5_datadir}/kf5/khtml/
%{_kde5_datadir}/kf5/khtml/*
%dir %{_kde5_datadir}/kf5/kjava/
%{_kde5_datadir}/kf5/kjava/*
%{_kde5_plugindir}/parts/*.so
%{_kde5_services}/*.desktop
%{_kde5_sysconfdir}/xdg/khtmlrc

#----------------------------------------------------------------------------

%package i18n
Summary:	KHtml translations
Group:		System/Internationalization
BuildArch:	noarch

%description i18n
KHtml translations.

%files i18n -f %{name}.lang

#----------------------------------------------------------------------------

%define kf5khtml_major 5
%define libkf5khtml %mklibname kf5khtml %{kf5khtml_major}

%package -n %{libkf5khtml}
Summary:	KDE Frameworks 5 HTML rendering engine shared library
Group:		System/Libraries
Requires:	%{name}
Requires:	%{name}-i18n

%description -n %{libkf5khtml}
KDE Frameworks 5 HTML rendering engine shared library.

%files -n %{libkf5khtml}
%{_kde5_libdir}/libKF5KHtml.so.%{kf5khtml_major}*

#----------------------------------------------------------------------------

%define devkf5khtml %mklibname kf5khtml -d

%package -n %{devkf5khtml}
Summary:	Development files for KDE Frameworks 5 HTML rendering engine
Group:		Development/KDE and Qt
Requires:	%{libkf5khtml} = %{EVRD}
Provides:	%{name}-devel = %{EVRD}
Provides:	kf5khtml-devel = %{version}

%description -n %{devkf5khtml}
This package contains header files needed if you wish to build applications
based on %{name}.

%files -n %{devkf5khtml}
%{_kde5_includedir}/KF5/KHtml
%{_kde5_includedir}/KF5/khtml_version.h
%{_kde5_libdir}/cmake/KF5KHtml
%{_kde5_libdir}/libKF5KHtml.so
%{_kde5_mkspecsdir}/*.pri

#----------------------------------------------------------------------------

%prep
%setup -q

%build
# Workaround segfault caused by race condition
%global optflags %{optflags} -O0
%cmake_kde5
%make

%install
%makeinstall_std -C build

%find_lang %{name} --all-name --with-qt

%changelog

* Thu Sep 14 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.38.0-2
- (1160f2b) Build with -O0 to workaround segfault caused by race condition

* Sun Sep 10 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.38.0-1
- (5e694a1) New version 5.38.0

* Thu Jun 15 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.35.0-1
- (b5d76cc) Build requires gperf
- (Andrey Bondrov: b83ea16) New version 5.35.0

* Mon May 15 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.34.0-1
- (84d94b5) New version 5.34.0

* Sat Feb 04 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.30.0-3
- (5b2bf28) MassBuild#1230: Increase release tag

* Thu Jan 26 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.30.0-2
- (bceec98) MassBuild#1210: Increase release tag

* Mon Jan 23 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.30.0-1
- (a3eb24e) New version 5.30.0

* Fri Oct 14 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.27.0-2
- (c7db42d) MassBuild#1169: Increase release tag

* Fri Oct 14 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.27.0-1
- (c52f9ec) New version 5.27.0

* Sun Jul 10 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.24.0-1
- (4f11671) Update files
- (Andrey Bondrov: 8c0f808) New version 5.24.0

* Sat Jun 18 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.23.0-1
- (1b49c29) New version 5.23.0

* Wed Apr 13 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.21.0-2
- (d18d737) MassBuild#1023: Increase release tag

* Sun Apr 10 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.21.0-1
- (d27fc21) New version 5.21.0

* Fri Apr 08 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.20.0-2
- (2f1d704) MassBuild#1000: Increase release tag

* Mon Mar 14 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.20.0-1
- (3653d38) New version 5.20.0

* Sat Feb 13 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.19.0-1
- (ce4c0ad) New version 5.19.0

* Mon Jan 11 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.18.0-1
- (194ed3e) New version 5.18.0

* Wed Dec 23 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.17.0-1
- (bdf966e) New version 5.17.0

* Wed Nov 18 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.16.0-2
- (aba2f3a) Bump release

* Tue Nov 17 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.16.0-1
- (f5691c5) New version 5.16.0

* Sun Oct 11 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.15.0-1
- (c70bae6) New version 5.15.0

* Sat Sep 12 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.14.0-1
- (016cae6) New version 5.14.0

* Wed Aug 12 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.13.0-1
- (60a30d3) New version 5.13.0

* Mon Jul 13 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.12.0-1
- (c2b758d) New version 5.12.0

* Mon Jun 15 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.11.0-1
- (8b846e1) New version 5.11.0

* Sat May 09 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.10.0-1
- (c5f9480) New version 5.10.0

* Fri Apr 10 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.9.0-1
- (2778737) New version 5.9.0

* Wed Mar 25 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.8.0-1
- (b8b1697) New version 5.8.0


